Page MenuHomePhabricator

Stop using composer class autoloading for "ArticlePlaceholder" extension
Closed, ResolvedPublic

Description

In order to load this extension as a 'regular' extension in terms of the WMF deployment system the autoloader can not be generated by composer after cloning the git repo.
The class auto loading must be provided as part of the code contained in the git repo.

This could:

  1. Be a committed version of the composer generator autoloader in a different location?
  2. Be a list generated by the mediawiki core autoloader generating maint script?
  3. Be something else

Interesting task to note is T99865: Extension registration should support using a PSR-4 autoloader but that is not done yet!

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterUse MediaWiki autoloader

Event Timeline

Addshore created this task.Nov 8 2017, 6:41 PM

Change 390319 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/ArticlePlaceholder@master] Use MediaWiki autoloader

https://gerrit.wikimedia.org/r/390319

Legoktm claimed this task.Nov 9 2017, 10:03 PM

Change 390319 merged by jenkins-bot:
[mediawiki/extensions/ArticlePlaceholder@master] Use MediaWiki autoloader

https://gerrit.wikimedia.org/r/390319

Legoktm closed this task as Resolved.Nov 13 2017, 5:50 PM